com.amazon.redshift.util

## Class RedshiftProperties

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<Object,Object>
    - - java.util.Properties
      - - com.amazon.redshift.util.RedshiftProperties

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>

    public class RedshiftProperties
    extends Properties

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.Properties

`defaults`

### Constructor Summary

Constructors
Constructor and Description
`RedshiftProperties()` Creates an empty property list with no default values.
`RedshiftProperties(Properties defaults)` Creates an empty property list with the specified defaults.
`RedshiftProperties(Properties info, Properties defaults)` Creates an empty property list with the specified defaults.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getProperty(String key)` get value from {Properties}
`Object` `setProperty(String key, String value)`

### Methods inherited from class java.util.Properties

`getProperty, list, list, load, load, loadFromXML, propertyNames, save, store, store, storeToXML, storeToXML, stringPropertyNames`

### Methods inherited from class java.util.Hashtable

`clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keys, keySet, merge, put, putAll, putIfAbsent, rehash, remove, remove, replace, replace, replaceAll, size, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RedshiftProperties

    public RedshiftProperties()

Creates an empty property list with no default values.

#### RedshiftProperties

    public RedshiftProperties(Properties defaults)

Creates an empty property list with the specified defaults.

Parameters:
  `defaults` - the defaults.

#### RedshiftProperties

    public RedshiftProperties(Properties info,
                              Properties defaults)
                       throws RedshiftException

Creates an empty property list with the specified defaults.

Parameters:
  `defaults` - the defaults.
  `info` - the input properties that need to be copied.
Throws:
  `RedshiftException` - RedshiftException

### Method Detail

#### getProperty

    public String getProperty(String key)

get value from {Properties}

Overrides:
  `getProperty` in class `Properties`
Parameters:
  `key` - key
Returns:
  property value

#### setProperty

    public Object setProperty(String key,
                              String value)

Overrides:
  `setProperty` in class `Properties`